View Issue Details

IDProjectCategoryView StatusLast Update
0000290luatexluatex bugpublic2009-11-18 16:54
ReporterKhaled HosnyAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.44.0 
Target VersionFixed in Version0.45.0 
Summary0000290: lualatex and expl3 packages
DescriptionRunning the attached latex file (which just loads expl3 package) with lualatex will result in the error:

12\tex_relax:D 03:35:07Z\tex_relax:D \ProvidesExplPackage {\filename \ETC.
! File ended while scanning use of \GetIdInfoAuxSVN:w.
<inserted text>
                \par
l.3
    
?

Though the file compiles fine with pdftex, aleph and xetex.
TagsNo tags attached.

Activities

2009-11-03 20:41

 

test_expl3.tex (89 bytes)

Taco

2009-11-04 09:57

administrator   ~0000317

It seems this has something to do with line ends in the middle of macro heading definitions. I'll see if I can create a more usable test (one that does not spew out incomprehensible control sequence names.

Taco

2009-11-04 10:02

administrator   ~0000318

Ok, found it. ltnames messes with \endlinechar, and doing that is not supported in luatex at the moment. From the manual:

The \endlinechar can be either added (values 0 or more), or not (negative
values). If it is added, the character is always decimal 13 a/k/a ^^M a/k/a carriage return (This change may be temporary).

Taco

2009-11-04 11:22

administrator   ~0000319

fixed by #3096

Issue History

Date Modified Username Field Change
2009-11-03 20:41 Khaled Hosny New Issue
2009-11-03 20:41 Khaled Hosny File Added: test_expl3.tex
2009-11-04 09:57 Taco Note Added: 0000317
2009-11-04 10:02 Taco Note Added: 0000318
2009-11-04 10:12 Taco Status new => assigned
2009-11-04 10:12 Taco Assigned To => Taco
2009-11-04 11:22 Taco Status assigned => resolved
2009-11-04 11:22 Taco Resolution open => fixed
2009-11-04 11:22 Taco Note Added: 0000319
2009-11-18 16:54 Taco Fixed in Version => 0.45.0
2009-11-18 16:54 Taco Status resolved => closed